### Method

# Foundry ExtensionSet get_extension

#### Declaration [src]

    GObject*
    foundry_extension_set_get_extension (
      FoundryExtensionSet* self,
      PeasPluginInfo* plugin_info
    )

#### Description [src]

Locates the extension owned by `plugin_info` if such extension exists.

#### Parameters

`plugin_info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: `GObject`

A `GObject` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.